org.kie.internal.runtime.manager.audit.query

## Enum RequestInfoQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<RequestInfoQueryBuilder.OrderBy>
  - - org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder.OrderBy

- All Implemented Interfaces:
    Serializable, Comparable<RequestInfoQueryBuilder.OrderBy>
  Enclosing interface:
    RequestInfoQueryBuilder

      public static enum RequestInfoQueryBuilder.OrderBy
      extends Enum<RequestInfoQueryBuilder.OrderBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `deploymentId`
    `executions`
    `id`
    `retries`
    `status`
    `time`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestInfoQueryBuilder.OrderBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequestInfoQueryBuilder.OrderBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### id

          public static final RequestInfoQueryBuilder.OrderBy id

    - #### time

          public static final RequestInfoQueryBuilder.OrderBy time

    - #### deploymentId

          public static final RequestInfoQueryBuilder.OrderBy deploymentId

    - #### executions

          public static final RequestInfoQueryBuilder.OrderBy executions

    - #### retries

          public static final RequestInfoQueryBuilder.OrderBy retries

    - #### status

          public static final RequestInfoQueryBuilder.OrderBy status

  - ### Method Detail

    - #### values

          public static RequestInfoQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestInfoQueryBuilder.OrderBy c : RequestInfoQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestInfoQueryBuilder.OrderBy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.